<?php

namespace Sabre\OTACancel;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'OTA_CancelRQ' => '\\Sabre\\OTACancel\\Structs\\OTA_CancelRQ',
            'Segment' => '\\Sabre\\OTACancel\\Structs\\Segment',
            'SabreHeader' => '\\Sabre\\OTACancel\\Structs\\SabreHeader',
            'DiagnosticResults' => '\\Sabre\\OTACancel\\Structs\\DiagnosticResults',
            'Diagnostics' => '\\Sabre\\OTACancel\\Structs\\Diagnostics',
            'Identification' => '\\Sabre\\OTACancel\\Structs\\Identification',
            'Identifier.System' => '\\Sabre\\OTACancel\\Structs\\Identifier_System',
            'Message.Condition' => '\\Sabre\\OTACancel\\Structs\\Message_Condition',
            'ProblemBase' => '\\Sabre\\OTACancel\\Structs\\ProblemBase',
            'ProblemSummary' => '\\Sabre\\OTACancel\\Structs\\ProblemSummary',
            'ResultSummary' => '\\Sabre\\OTACancel\\Structs\\ResultSummary',
            'Security' => '\\Sabre\\OTACancel\\Structs\\Security',
            'Service' => '\\Sabre\\OTACancel\\Structs\\Service',
            'Traces' => '\\Sabre\\OTACancel\\Structs\\Traces',
            'TraceRecord' => '\\Sabre\\OTACancel\\Structs\\TraceRecord',
            'TrackingID' => '\\Sabre\\OTACancel\\Structs\\TrackingID',
            'STL_Payload' => '\\Sabre\\OTACancel\\Structs\\STL_Payload',
            'Results' => '\\Sabre\\OTACancel\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\OTACancel\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\OTACancel\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\OTACancel\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\OTACancel\\Structs\\HostCommand',
            'OTA_CancelRS' => '\\Sabre\\OTACancel\\Structs\\OTA_CancelRS',
            'SignatureType' => '\\Sabre\\OTACancel\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\OTACancel\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\OTACancel\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\OTACancel\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\OTACancel\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\OTACancel\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\OTACancel\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\OTACancel\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\OTACancel\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\OTACancel\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\OTACancel\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\OTACancel\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\OTACancel\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\OTACancel\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\OTACancel\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\OTACancel\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\OTACancel\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\OTACancel\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\OTACancel\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\OTACancel\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\OTACancel\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\OTACancel\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\OTACancel\\Structs\\Envelope',
            'Header' => '\\Sabre\\OTACancel\\Structs\\Header',
            'Body' => '\\Sabre\\OTACancel\\Structs\\Body',
            'Fault' => '\\Sabre\\OTACancel\\Structs\\Fault',
            'detail' => '\\Sabre\\OTACancel\\Structs\\Detail',
            'Manifest' => '\\Sabre\\OTACancel\\Structs\\Manifest',
            'Reference' => '\\Sabre\\OTACancel\\Structs\\Reference',
            'Schema' => '\\Sabre\\OTACancel\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\OTACancel\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\OTACancel\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\OTACancel\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\OTACancel\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\OTACancel\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\OTACancel\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\OTACancel\\Structs\\ErrorList',
            'Error' => '\\Sabre\\OTACancel\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\OTACancel\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\OTACancel\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\OTACancel\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\OTACancel\\Structs\\PartyId',
            'To' => '\\Sabre\\OTACancel\\Structs\\To',
            'From' => '\\Sabre\\OTACancel\\Structs\\From',
            'Description' => '\\Sabre\\OTACancel\\Structs\\Description',
            'UsernameToken' => '\\Sabre\\OTACancel\\Structs\\UsernameToken',
        );
    }
}
