<?php

namespace Sabre\OTACancel\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Segment Structs
 * @subpackage Structs
 */
class Segment extends AbstractStructBase
{
    /**
     * The EndNumber
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $EndNumber;
    /**
     * The Number
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $Number;
    /**
     * The Type
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Type;
    /**
     * Constructor method for Segment
     * @uses Segment::setEndNumber()
     * @uses Segment::setNumber()
     * @uses Segment::setType()
     * @param int $endNumber
     * @param int $number
     * @param string $type
     */
    public function __construct($endNumber = null, $number = null, $type = null)
    {
        $this
            ->setEndNumber($endNumber)
            ->setNumber($number)
            ->setType($type);
    }
    /**
     * Get EndNumber value
     * @return int|null
     */
    public function getEndNumber()
    {
        return $this->EndNumber;
    }
    /**
     * Set EndNumber value
     * @param int $endNumber
     * @return \Sabre\OTACancel\Structs\Segment
     */
    public function setEndNumber($endNumber = null)
    {
        $this->EndNumber = $endNumber;
        return $this;
    }
    /**
     * Get Number value
     * @return int|null
     */
    public function getNumber()
    {
        return $this->Number;
    }
    /**
     * Set Number value
     * @param int $number
     * @return \Sabre\OTACancel\Structs\Segment
     */
    public function setNumber($number = null)
    {
        $this->Number = $number;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \Sabre\OTACancel\Structs\Segment
     */
    public function setType($type = null)
    {
        $this->Type = $type;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTACancel\Structs\Segment
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
